from datetime import datetime
from typing import Optional
from pydantic import BaseModel


# Shared properties
class PaymentBase(BaseModel):
    id: Optional[str] = None
    order_id: Optional[str] = None
    transaction_id: Optional[str] = None
    payload: Optional[str] = None
    create_at: Optional[datetime] = datetime.now()
    line_id: Optional[str] = None

    class Config:
        orm_mode = True


class PaymentPrint(BaseModel):
    pass


class PaymentCreate(PaymentBase):
    pass


class PaymentUpdate(PaymentBase):
    pass
